package cn.com.ctop.kuaishou.modules.batch.entity;

public class JyClipTopList {
    private static final long serialVersionUID = 1L;

    private Long id;
    private Long clipId;
    private String clipName;
    private Long itemId;
    private String itemName;
    private String itemImgUrl;
    private String itemPrice;
    private Long promotionVolume;
    private Long promotionPromoterCount;
    private Long statDate;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getClipId() {
        return clipId;
    }

    public void setClipId(Long clipId) {
        this.clipId = clipId;
    }

    public String getClipName() {
        return clipName;
    }

    public void setClipName(String clipName) {
        this.clipName = clipName;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemImgUrl() {
        return itemImgUrl;
    }

    public void setItemImgUrl(String itemImgUrl) {
        this.itemImgUrl = itemImgUrl;
    }

    public String getItemPrice() {
        return itemPrice;
    }

    public void setItemPrice(String itemPrice) {
        this.itemPrice = itemPrice;
    }

    public Long getPromotionVolume() {
        return promotionVolume;
    }

    public void setPromotionVolume(Long promotionVolume) {
        this.promotionVolume = promotionVolume;
    }

    public Long getPromotionPromoterCount() {
        return promotionPromoterCount;
    }

    public void setPromotionPromoterCount(Long promotionPromoterCount) {
        this.promotionPromoterCount = promotionPromoterCount;
    }

    public Long getStatDate() {
        return statDate;
    }

    public void setStatDate(Long statDate) {
        this.statDate = statDate;
    }

    @Override
    public String toString() {
        return "JyClipTopList{" +
                "id=" + id +
                ", clipId=" + clipId +
                ", clipName='" + clipName + '\'' +
                ", itemId=" + itemId +
                ", itemName='" + itemName + '\'' +
                ", itemImgUrl='" + itemImgUrl + '\'' +
                ", itemPrice='" + itemPrice + '\'' +
                ", promotionVolume=" + promotionVolume +
                ", promotionPromoterCount=" + promotionPromoterCount +
                ", statDate=" + statDate +
                '}';
    }
}
